function showProgressBar(){
	var progress = $('#wait-message > div');
	progress.progressbar('value',(progress.progressbar('value')+10)%110);
}

function cargarInformacion( donde ){
	var waitMessage = $('#wait-message').dialog({
			modal:true,
			title : 'Cargando...',
			resizable:false,
			draggable:false,
			minHeight:100
	});
	var progress = $('<div>').appendTo(waitMessage).progressbar({value : 0});				
	var interval = setInterval("showProgressBar()",200);
	$.ajax({
		data:{
			codigo : $("#id_codigo_postal"+donde).val(),
		},
		complete: function () {
			clearInterval(interval);
			waitMessage.dialog('close');
			progress.remove();
		},
		success: function(response, status, xhr){
			var data=response.data;						
			if(response.success){
				$('#id_estado'+donde).val(data.estado);
				$('#id_ciudad'+donde).val(data.ciudad);
				$('#id_municipio'+donde).val(data.municipio);
				var arrayAsentemiento=data.asentamiento.split(",");
				if(arrayAsentemiento.length == 1){
					$('#id_colonia'+donde).val(data.asentamiento);
					$('#id_colonia'+donde).attr('style','display:block;').addClass('required');
					$('#id_colonia2'+donde).attr('style','display:none;').html('').val('').removeClass('required');
					$('.manual'+donde+', #id_manual'+donde).attr('style','display:none;');
				} else{
					$('#id_colonia2'+donde).html('');
					$('#id_colonia2'+donde).attr('style','display:block;').addClass('required');
					$('#id_colonia'+donde).attr('style','display:none;').val('').removeClass('required');
					$('.manual'+donde+', #id_manual'+donde).attr('style','display:block;');
					for(i=0;i<arrayAsentemiento.length;i++)
						$('#id_colonia2'+donde).append('<option>'+arrayAsentemiento[i]+'</option>');
				}
			}else{
				alert("Codigo Postal Invalido, Por Favor Revisar");							
			}
		},
		error: function (){
			alert("error");
		},
		dataType:'json',
		type:'POST',
		url:MEDIA_URL+'codigoPostal/'
	});
	$('#id_calle'+donde).focus();
}

function cambiarPostal( check, uno, otro ){
	if($( check ).attr('checked')){
		$( uno ).addClass('required').attr('style','display:block;');
		$( otro ).attr('style','display:none;').removeClass('required');
	} else{
		$( uno ).attr('style','display:none;').removeClass('required');
		$( otro ).attr('style','display:block;').addClass('required');
	}
}

$(document).ready(function(){
	$("#id_codigo_postal").change(function(){
		cargarInformacion('');
		$(this).dialog('close');
	});
	$("#id_codigo_postal_empresa").change(function(){
		cargarInformacion("_empresa");
		$(this).dialog('close');
	});
	$("#id_manual").change(function(){
		cambiarPostal( "#id_manual", '#id_colonia', '#id_colonia2' );
	});
	$("#id_manual_empresa").change(function(){
		cambiarPostal( "#id_manual_empresa", '#id_colonia_empresa', '#id_colonia2_empresa' );
	});
});
