-- phpMyAdmin SQL Dump
-- version 3.2.4
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 29-10-2010 a las 17:37:33
-- Versión del servidor: 5.1.41
-- Versión de PHP: 5.3.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `inet`
--
CREATE DATABASE `kuikbook` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `kuikbook`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `friendship`
--

CREATE TABLE IF NOT EXISTS `friendship` (
  `user` int(11) NOT NULL,
  `friend` int(11) NOT NULL,
  `group` varchar(10) NOT NULL,
  `wall` int(11) NOT NULL,
  `profile` int(11) NOT NULL,
  PRIMARY KEY (`friend`,`user`),
  KEY `fk_amistad_user` (`user`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcar la base de datos para la tabla `friendship`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `invitation`
--

CREATE TABLE IF NOT EXISTS `invitation` (
  `user` int(11) NOT NULL,
  `friend` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`user`,`friend`),
  KEY `fk_invitar_user` (`user`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcar la base de datos para la tabla `invitation`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `message`
--

CREATE TABLE IF NOT EXISTS `message` (
  `idmessage` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `friend` int(11) NOT NULL,
  `message` varchar(140) NOT NULL,
  `isread` int(11) NOT NULL,
  `date` date NOT NULL,
  PRIMARY KEY (`idmessage`,`friend`,`user`),
  KEY `fk_message_user` (`user`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Volcar la base de datos para la tabla `message`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `other`
--

CREATE TABLE IF NOT EXISTS `other` (
  `idother` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `like` varchar(50) NOT NULL,
  PRIMARY KEY (`idother`,`user`),
  KEY `fk_otro_user` (`user`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `other`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `profile`
--

CREATE TABLE IF NOT EXISTS `profile` (
  `idprofile` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `midle` varchar(45) NOT NULL,
  `last` varchar(45) NOT NULL,
  `sex` varchar(10) NOT NULL,
  `state` varchar(45) NOT NULL,
  `birthdate` date NOT NULL,
  PRIMARY KEY (`idprofile`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcar la base de datos para la tabla `profile`
--

INSERT INTO `profile` (`idprofile`, `name`, `midle`, `last`, `sex`, `state`, `birthdate`) VALUES
(1, 'Adan', 'Dominguez', 'Ramirez', 'Hombre', 'Soltero', '1992-10-05');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `publication`
--

CREATE TABLE IF NOT EXISTS `publication` (
  `idpublication` int(11) NOT NULL AUTO_INCREMENT,
  `user` int(11) NOT NULL,
  `publication` varchar(140) NOT NULL,
  `isfile` int(11) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`idpublication`,`user`),
  KEY `fk_publication_user` (`user`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;

--
-- Volcar la base de datos para la tabla `publication`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user`
--

CREATE TABLE IF NOT EXISTS `user` (
  `iduser` int(11) NOT NULL AUTO_INCREMENT,
  `mail` varchar(45) NOT NULL,
  `pass` varchar(10) NOT NULL,
  `nick` varchar(50) DEFAULT 'I am on kuikbook, it rules!!!',
  `img` varchar(45) NOT NULL,
  `general` int(11) NOT NULL,
  `joinned` date NOT NULL,
  `profile` int(11) NOT NULL,
  PRIMARY KEY (`iduser`,`profile`,`mail`),
  UNIQUE KEY `mail` (`mail`),
  KEY `fk_user_profile` (`profile`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcar la base de datos para la tabla `user`
--

INSERT INTO `user` (`iduser`, `mail`, `pass`, `nick`, `img`, `general`, `joinned`, `profile`) VALUES
(1, 'saran_111@hotmail.com', '12345', 'I am awesome', 'user_files/1/SDC10688.jpg', 0, '2010-10-18', 1);

--
-- Filtros para las tablas descargadas (dump)
--

--
-- Filtros para la tabla `friendship`
--
ALTER TABLE `friendship`
  ADD CONSTRAINT `fk_amistad_user` FOREIGN KEY (`user`) REFERENCES `user` (`iduser`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `invitation`
--
ALTER TABLE `invitation`
  ADD CONSTRAINT `fk_invitar_user` FOREIGN KEY (`user`) REFERENCES `user` (`iduser`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `message`
--
ALTER TABLE `message`
  ADD CONSTRAINT `fk_message_user` FOREIGN KEY (`user`) REFERENCES `user` (`iduser`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `other`
--
ALTER TABLE `other`
  ADD CONSTRAINT `fk_otro_user` FOREIGN KEY (`user`) REFERENCES `user` (`iduser`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `publication`
--
ALTER TABLE `publication`
  ADD CONSTRAINT `fk_publication_user` FOREIGN KEY (`user`) REFERENCES `user` (`iduser`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `user`
--
ALTER TABLE `user`
  ADD CONSTRAINT `fk_user_profile` FOREIGN KEY (`profile`) REFERENCES `profile` (`idprofile`) ON DELETE CASCADE ON UPDATE NO ACTION;
